prepanel.functions {lattice} | R Documentation

## Useful Prepanel Function for Lattice

### Description

These are predefined prepanel functions available in Lattice.

### Usage

    prepanel.lmline(x, y, ...)
    prepanel.loess(x, y, ...)
    prepanel.qqmathline(y, distribution,
                        f.value = ppoints,
                        p = c(0.25, 0.75),
                        ...)

### Arguments

`x, y` | x and y values, numeric or factor
`distribution` | quantile function for theoretical distribution. This is automatically passed in when this is used as a prepanel function in `qqmath`.
`f.value` | as used in `qqmath`
`p` | numeric vector of length two, representing probabilities. Corresponding quantile pairs define the line used.
`...` | other arguments

### Value

usually a list with components `xlim`, `ylim`, `dx` and `dy`, the first two being used to calculate panel axes limits, the last two for banking computations. The form of these components are described under `xyplot`. There are also several undocumented prepanel functions that serve as the default for high level functions, e.g., `prepanel.default.xyplot`

### Author(s)

Deepayan Sarkar Deepayan.Sarkar@R-project.org

### See Also

`trellis.par.get`, `xyplot`, `Lattice`. See `loess.smooth` for further options to `prepanel.loess`

[Package lattice version 0.11-8 Index]